Subject: Re: Badness in dma_alloc_init

From: Aristeu Sergio Rozanski Filho <[email-masked]>
Date: Mon, 9 Jan 2006 10:53:39 -0200

Hi!
> I'm having some trouble with the DMA allocation using Linux 2.6.14-rc2 + 
> some platform modifications. Namely, the dma_alloc_coherent() function 
> returns bogus virtual addresses causing machine check exceptions. At 
> boot, the kernel complains there is something wrong, but I cannot figure 
> out how to fix it. CONFIG_CONSISTENT_START is at its default value, 
> 0xff100000. Any hints where to look further?
> 
> Oh, this is a custom 8xx board. Has the support for DMA in 8xx been 
> unstable at the time of pre-2.6.14?
probably your IMAP_ADDR is at 0xff000000, isn't it? if it is, please adjust
CONFIG_CONSISTENT_START to an address like 0xe0000000.

-- 
Aristeu